@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template:   cocoon-master
Version:    1.1.3
*/

/************************************
** 子テーマ用のスタイルを書く
************************************/
/*必要ならばここにコードを書く*/

a.entry-card-wrap:has(.category-unlist-post){
	display:none;
}


/************************************
** レスポンシブデザイン用のメディアクエリ
************************************/
/*1023px以下*/
@media screen and (max-width: 1023px){
  /*必要ならばここにコードを書く*/
}

/*834px以下*/
@media screen and (max-width: 834px){
  /*必要ならばここにコードを書く*/
}

/*480px以下*/
@media screen and (max-width: 480px){
  /*必要ならばここにコードを書く*/
}


/* grayishの1カラム向けCSS */

/* ========== common start ==========　*/
/* サイト型　フロントページのメインコンテンツ上下の余白対策 */
.body.skin-grayish.front-top-page .breadcrumb,
.body.skin-grayish.front-top-page .article-header,
.body.skin-grayish.front-top-page .pr-label-s {
  display: none;
}

/* サイト型のみ　ブログ型では無効 */
.body.skin-grayish.front-top-page:not(.blog) .content .main {
  padding-top: 0;
  padding-bottom: 0;
}

/* サイト型のみ　ブログ型では無効 */
.body.skin-grayish.front-top-page:not(.blog) .content {
  margin-top: 0;
}

/* サイト型のみ */
.body.skin-grayish.front-top-page .entry-content {
  margin-top: 0;
  margin-bottom: 0;
}

/* サイト型のみ */
.body.skin-grayish.front-top-page .article {
  margin-bottom: 0;
}

/* フロントページのメインコンテンツ上下の余白対策 end*/


/* 画像ブロックは以下で画面幅に */
.cstm-blk-fullwide {
  width: 100vw;
  margin: 0 calc(50% - 50vw);
}

/*参考 画像ブロックの高さ調整 */
.cstm-blk-fullwide.cstm-blk-img-height img {
  height: 50vmin;
}

/* カバーブロック用：インナーブロックの中央寄せを追加 */
.cstm-blk-fullwide-inner {
  width: 100vw;
  margin: 0 calc(50% - 50vw);
  padding: 0 calc(50vw - 50%);
}

/* テーマカスタマイザーで設定した英字Font + 日本語は　Cocoon設定のサイトフォント選択Font*/
.cstm-skin-font-set {
  font-family: var(--skin-grayish-style-font);
  font-weight: 400;
  letter-spacing: .1rem;
}

/* 英字Font Montserrat　+ 日本語は　Cocoon設定のサイトフォント選択Font　*/
.cstm-font-montserrat {
  font-family: "Montserrat", var(--skin-get-site-font);
  font-weight: 400;
  letter-spacing: .1rem;
}

/* 英字Font Lato　+ 日本語は　Cocoon設定のサイトフォント選択Font　*/
.cstm-font-lato {
  font-family: "Lato", var(--skin-get-site-font);
  font-weight: 400;
  letter-spacing: .1rem;
}

/* 英字Font Inknut Antiqua　+ 日本語は　Cocoon設定のサイトフォント選択Font　*/
.cstm-font-inknut-antiqua {
  font-family: "Inknut Antiqua", var(--skin-get-site-font);
  font-weight: 400;
  letter-spacing: .1rem;
}

/* 英字Font Spectral　+ 日本語は　Cocoon設定のサイトフォント選択Font　*/
.cstm-font-spectral {
  font-family: "Spectral", var(--skin-get-site-font);
  font-weight: 400;
  letter-spacing: .1rem;
}

/* 英字Font Lora　+ 日本語は　Cocoon設定のサイトフォント選択Font　*/
.cstm-font-lora {
  font-family: "Lora", var(--skin-get-site-font);
  font-weight: 400;
  letter-spacing: .1rem;
}

/* 英字Font Jost　+ 日本語は　Cocoon設定のサイトフォント選択Font　*/
.cstm-font-jost {
  font-family: "Jost", var(--skin-get-site-font);
  font-weight: 400;
  letter-spacing: .1rem;
}

/* 英字Font Roboto Slab　+ 日本語は　Cocoon設定のサイトフォント選択Font　*/
.cstm-font-roboto-slab {
  font-family: "Roboto Slab", var(--skin-get-site-font);
  font-weight: 400;
  letter-spacing: .1rem;
}

/* H見出しのスタイルクリア */
.article h2.cstm-head,
.article h3.cstm-head,
.article h4.cstm-head,
.article h5.cstm-head,
.article h6.cstm-head {
  font-weight: 400;
  letter-spacing: .1rem;
  border: none;
  background-color: transparent;
  margin: 0;
  padding: 0;
  position: static;
}

.article h2.cstm-head::before,
.article h3.cstm-head::before,
.article h4.cstm-head::before {
  display: none;
}

.article h2.cstm-head {
  font-size: 64px;
  font-weight: 200;
}
/*.body.skin-grayish.front-top-page .article h2.cstm-head {
  font-size: 64px;
}*/

/* More btn */
p.cstm-more-btn {
  display: flex;
  justify-content: flex-end;
  font-size: 20px;
  line-height: 1.2;
  width: 100%;
  padding-right: 6em;
}

p.cstm-more-btn a {
  display: inline-block;
  width: fit-content;
  transition: color 0.3s ease-in-out;
  text-decoration: none;
  position: relative;
}

p.cstm-more-btn a::before {
  display: block;
  content: "";
  background-color: var(--LtGray_S50);
  width: 4em;
  height: 1px;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 120%;
  margin: auto;
  transition: transform 0.3s ease-in-out;
}

p.cstm-more-btn a:hover::before {
  background-color: var(--skin-grayish-site-main-hover);
  transform: translate(1em);
}

/* H2見出しのしたのテキストのスタイル */
.article h2.cstm-head+.cstm-sub-text {
  margin-block-start: 0;
  width: fit-content;
  position: relative;
}

.article h2.cstm-head+.cstm-sub-text::before,
.article h2.cstm-head+.cstm-sub-text.leftype::before {
  display: block;
  content: "";
  background-color: var(--skin-grayish-site-main-hover);
  width: 2ch;
  height: 2px;
  position: absolute;
  bottom: -1em;
  left: 0;
  right: 0;
  margin: auto;
  z-index: 1;
}

.article h2.cstm-head+.cstm-sub-text.leftype::before {
  right: unset;
  margin: unset;
  z-index: 1;
}

/*1023px以下*/
  /* モバイル時のみ　画像ブロックなど画面幅 */
  .cstm-blk-fullwide-mbonly {
    width: 100vw;
    margin: 0 calc(50% - 50vw);
  }

  .cstm-blk-fullwide-inner-mbonly {
    width: 100vw;
    margin: 0 calc(50% - 50vw);
    padding: 0 calc(50vw - 50%);
  }

  /* More btn */
  p.cstm-more-btn {
    padding-right: 1em;
  }

  p.cstm-more-btn a::before {
    width: 2em;
  }

  /* H2見出しのしたのテキストのスタイル */
  .article h2.cstm-head+.cstm-sub-text.leftype {
    margin-inline: auto;
  }

  .article h2.cstm-head+.cstm-sub-text.leftype::before {
    right: 0;
    margin: auto;
  }

/* ========== common end ==========　*/


/* ========== cstm-pat-common start ==========　*/
/* サンプルパターン共通 */

/* coverブロック内の上下の余白 */
:is(.cstm-pat, .cstm-pat-1).wp-block-cover{
  margin-bottom: 0;
}
:where(.cstm-pat, .cstm-pat-1)>.wp-block-cover__inner-container {
  padding-top: 6rem;
  padding-bottom: 6rem;
}

/*1023px以下*/
@media screen and (max-width: 1023px) {
  /* coverブロック内の上下の余白 */
  :where(.cstm-pat, .cstm-pat-1)>.wp-block-cover__inner-container {
    padding-top: 3rem;
  }
}

/*480px以下*/
@media screen and (max-width: 480px) {
  /* サンプルパターン共通 */
  :is(.cstm-pat, .cstm-pat-1)>.wp-block-cover__inner-container h2.cstm-head {
    font-size: 48px;
    padding: 0;
  }
}

/* ========== cstm-pat-common end ==========　*/


/* ========== cstm-pat-1 start ==========　*/
/* cstm-pat-1 News作例1のブロック */

/* More btn */
.cstm-pat-1>.wp-block-cover__inner-container p.cstm-more-btn a {
  color: var(--white);
}

/* cstm-pat-1 作例1のH2見出し横の余白 */
.cstm-pat-1>.wp-block-cover__inner-container h2.cstm-head {
  padding-right: 32px;
}

/* cstm-pat-1 作例1の新着情報ブロック　横線 */
.cstm-pat-1 .wp-block-column .info-list-box.block-box {
  border-left: solid 1px var(--LtGray_T0);
  padding-left: 32px;
}

/* cstm-pat-1 作例1の新着情報ブロック　*/
.cstm-pat-1 .is-style-divider-line .info-list-item {
  border-bottom: none;
  padding: 20px 0;
}

/* 背景画像ありのダークモード */
.cstm-pat-1.backimg-pat .wp-block-column .info-list-box.block-box {
  border-left: solid 1px var(--white);
}

.cstm-pat-1.backimg-pat .wp-block-column .info-list-box.block-box .info-list-item-content .info-list-item-content-link {
  color: var(--white);
}

.cstm-pat-1.backimg-pat .wp-block-column .info-list-box.block-box .info-list-item-meta .entry-category {
  display: none;
  color: var(--LtGray_S50);
  border: none;
  background-color: var(--white);
}

.cstm-pat-1.backimg-pat .wp-block-column .info-list-box.block-box .info-list-item-meta .info-list-item-date {
  color: var(--white);
}

.cstm-pat-1.backimg-pat p.cstm-more-btn a::before {
  background-color: var(--white);
}

/*1023px以下*/
@media screen and (max-width: 1023px) {
  /* cstm-pat-1 */
  /* .cstm-pat-1>.wp-block-cover__inner-container {
    padding-top: 3rem;
  } */

  .cstm-pat-1>.wp-block-cover__inner-container .wp-block-columns {
    flex-direction: column;
  }

  .cstm-pat-1>.wp-block-cover__inner-container h2.cstm-head {
    text-align: center;
    padding-right: 0px;
  }

  .cstm-pat-1 .wp-block-column .info-list-box.block-box {
    border-left: none;
    padding-left: 0;
  }

  .cstm-pat-1 .is-style-divider-line .info-list-item {
    border-bottom: solid 1px var(--LtGray_T0);
  }

  /* 背景画像ありのダークモード */
  .cstm-pat-1.backimg-pat .wp-block-column .info-list-box.block-box {
    border-left: none;
    padding-left: 0;
  }

}

/*480px以下*/
@media screen and (max-width: 480px) {
  .cstm-pat-1 .is-style-divider-line.info-list {
    padding: 0 8px;
  }

  .cstm-pat-1 .is-style-divider-line.info-list .info-list-item-meta .info-list-item-date {
    display: block;
  }

  .cstm-pat-1 .is-style-divider-line.info-list .info-list-item-meta,
  .cstm-pat-1 .is-style-divider-line.info-list .info-list-item-meta .info-list-item-categorys,
  .cstm-pat-1 .is-style-divider-line.info-list .info-list-item-meta .info-list-item-categorys span {
    display: flex;
  }

  .cstm-pat-1 .is-style-divider-line.info-list .info-list-item-meta {
    flex-direction: column;
    row-gap: 0.4em;
  }

  .cstm-pat-1 .is-style-divider-line.info-list .info-list-item-meta .info-list-item-categorys {
    flex-wrap: wrap;
    row-gap: 0.4em;
  }

}

/* ========== cstm-pat-1 end ==========　*/